NSR_IZE(8)

NAME
nsr_ize - NetWorker installation and removal

SYNOPSIS
nsr_ize [ -i | -r | -u ] [ -c | -t | -l | -s ] [ -kmnqxv ]

DESCRIPTION
nsr_ize is an interactive program that installs or removes NetWorker software and files to or from a machine. In either case, the user is prompted with a series of questions. Most questions also provide default answers that produce the desired results in a standard environment.

Since this command installs all NetWorker software in one directory per machine architecture (the default is /usr/bin), one should plan for the NetWorker client software to consume 13 Mbytes of disk space per machine architecture installed. The NetWorker server software requires an additional 8 Mbytes per machine architecture.

The NetWorker server also requires disk space for its on-line indexes of all files saved by the NetWorker clients. On the average, each instance of a file saved to the NetWorker server requires 200 bytes of disk space. Generally, 2% - 5% of the total amount of data backed up has to be allocated to the online index.

The script modifies many administrative files, including /etc/rpc. If YP is being used, then the administrator should consider modifying the YP master's /etc/rpc file with the same modifications that nsr_ize makes to the local copy.

When invoked with no options, this command makes an intelligent guess as to whether the user is installing or removing NetWorker software, and confirms its guess with the user. If the -s , -t , -l or -c flags are not specified when installing, nsr_ize will prompt and ask whether the machine being installed is going to be a NetWorker server.

OPTIONS

-c  Performs NetWorker client side-only operations.

-i  Installs the NetWorker software and associated files.

-k  Kills daemons if running, without confirming.

-l  Performs NetWorker license management-only operations.

-m  Does not remove or install man pages.

-n  Does not perform any actions that actually change the filesystem, just print what would be done if an installation or removal took place.

-q  Quiet. Does not print as many reassuring messages as in the normal case.

-r  Removes the NetWorker software and associated files.

-s  Performs NetWorker server-side operations.

-t  Performs NetWorker Storage Node side-only operations.

-u  Prepares for a software upgrade. NetWorker software is removed, but associated files are preserved.

-v  Sets verbose mode.

-x  Sets debugging flag.

FILES
/nsr
    This symbolic link is created by nsr_ize when installing the NetWorker server; it points to the directory where the NetWorker server keeps the on-line indexes of clients' saved files. Alternatively, /nsr may be a directory that exists before invoking this command.

SEE ALSO
nsr(8)
Legato NetWorker Installation Guide UNIX Version